:root { /*Web Dev Simplified Tutorial*/
    --hue-neutral: 200;
}

body {
    --hue: var(--hue-neutral); /*Web Dev Simplified Tutorial*/
    display: flex;
    width: 100vw;
    height: 100vh;
    justify-content: center;
    align-items: center;
    background-color: hsl(var(--hue), 100%, 20%); /*Web Dev Simplified Tutorial*/
    margin: 0;
    padding: 0;
}

#question-box {
    background-color: #fff;
    width: 880px;
    border-radius: 5px;
    border: 1px solid black;
    box-shadow: 0 0 10px 1px;
}

#question {
    padding: 10px 5px;
    margin: 5px 0px;
    font-weight: bold;
    font-size: 1.2rem;
}

.btn-grid { /*Web Dev Simplified Tutorial*/
    display: grid;
    grid-template-columns:repeat(2, auto);
    gap: 5px;
    padding: 10px 20px;
}

.btn:hover {
    border:1px solid #000;
}

.btn {
    --hue: var(--hue-neutral);
    border: 1px solid hsl(var(--hue),100%, 30%);
    background-color: hsl(var(--hue),100%, 70%);
    border-radius: 5px;
    padding: 10px;
    color: #000;
    outline: none;
    font-weight: bold;

}

#start-btn-quiz, #start-btn-home {
    background-color: hsl(var(--hue),100%, 70%);
    font-size: 1.4rem;
    font-weight: bold; 
    padding: 10px 20px; 
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: auto;
    margin: 0 auto;
}

.score-area {
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
    width: 100%;
}

#score {
    color: darkgreen;
    font-weight: bold;
}

#incorrect {
    color: red;
    font-weight: bold;
}

h2 {
    color: #fff;
}

.int {
    color: #fff;
}

#replay-menu {
    position: fixed;
    top: 26%;
    left: 0;
    width: 100vmin;
    height: 100vmin;
    background-color: #fff;
    z-index: 1000;
    display: none;
    text-align: center;
    background-color: hsl(var(--hue), 100%, 20%);
}

.game-over-msg {
    font-weight: bold;
    text-align: center;
    margin-top: 1rem;
    color: #fff;
}

#play-again-btn, #replay-quit-btn {
    padding: 20px;
    margin: 1rem 0;
}

#replay-btn {
    padding: 20px;
    margin: 1rem 1rem;
    float: right;
}

#counter {
    color: white;
    display: none;
}

#progress-bar { /*based on: https://www.w3schools.com/howto/howto_js_progressbar.asp*/
    width: 100%;
    background-color: grey;
    visibility: hidden;
}

#my-bar { /*based on: https://www.w3schools.com/howto/howto_js_progressbar.asp*/
    width: 1%;
    height: 30px;
    background-color: green;
    text-align: center;
    line-height: 30px; 
    color: white;
}

#mute-btn {
    display: none;
}

#quit-btn {
    position: absolute;
    display: flex;
    top: 30%;
    left: 90%;
    justify-content: flex-end;
    align-items: end;
    padding: 0;
    border-radius: 50%;
    /*margin: 32rem 60rem;*/
}

.icon {
    font-size: 24px;
}

#unmute-icon {
    display: none;
}


#homepage {
    width: 100vw;
    height: 100%;
    background: url("../images/question-mark.webp") no-repeat center/cover;
}

#text-overlay {
    position: relative;
    top: 40%;
    left: 50%; 
    transform: translate(-50%, -50%);
    color: #fff;
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(0, 1, 5, 1);   
}

#text-overlay h1 {
    font-size: 2.5rem;
}

.hide {
    display: none;
}

@media screen and (width: 320px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 11%;
        left: 90%;
    }
    #homepage {
        overflow:hidden;
    }
    #text-overlay h1 {
        font-size: 2rem;
    }
}
   
@media screen and (width: 480px) {
    #question-box {
    width: 95vw;
    height: auto;
}
#quit-btn {
    top: 15%;
    left: 90%;
}
}

@media screen and (width: 568px) {
    #question-box {
    width: 95vw;
    height: auto;
}
#quit-btn {
    top: 15%;
    left: 90%;
}
#mute-btn {
    margin-top: 4rem;
}
}

@media screen and (width: 667px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 20%;
        left: 92%;
    }
}

@media screen and (width: 375px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 26%;
        left: 90%;
    }
}

@media screen and (width: 812px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 20%;
        left: 94%;
    }
}

@media screen and (width: 360px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 26%;
        left: 90%;
    }
}

@media screen and (width: 390px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 27%;
        left: 90%;
    }
}

@media screen and (width: 800px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 20%;
        left: 94%;
    }
}

@media screen and (width: 844px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 20%;
        left: 94%;
    }
}

@media screen and (width: 412px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 28%;
        left: 90%;
    }
}

@media screen and (width: 414px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 28%;
        left: 90%;
    }
}

@media screen and (width: 428px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 28%;
        left: 90%;
    }
}

@media screen and (width: 915px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 22%;
        left: 94%;
    }
}

@media screen and (width: 926px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 22%;
        left: 94%;
    }
}


@media screen and (width: 883px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 22%;
        left: 94%;
    }
}

@media screen and (width: 896px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 22%;
        left: 94%;
    }
}

@media screen and (width: 760px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 20%;
        left: 94%;
    }
}

@media screen and (width: 384px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 27%;
        left: 90%;
    }
}

@media screen and (width: 854px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 20%;
        left: 93%;
    }
}

@media screen and (width: 768px)
{
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 32%;
        left: 94%;
    }
}

@media screen and (width: 810px)
{
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 32%;
        left: 93%;
    }
}

@media screen and (min-width: 1024px)
{
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 37%;
        left: 94%;
    }
}

@media screen and (width: 800px) and (height:1280px)
{
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 32%;
        left: 94%;
    }
}


/*@media screen and (max-width: 767px) {
    #question-box {
        width: 95vw;
        height: auto;
    }
    #quit-btn {
        top: 29%;
        left: 90%;
       
    }
}

@media (orientation: landscape) {
    #quit-btn {
        top: 23%;
        left: 94%;
       
    }
}*/

@media screen and (min-width: 992px) {
    #replay-menu {
        left: 22%;
    }

    #quit-btn {
        top: 37%;
        left: 96%;
       
    }
}